package com.flyer.foster.mapper;

import com.flyer.foster.entity.UserRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户角色表 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
public interface IUserRoleMapper extends BaseMapper<UserRole> {

    boolean deleteByUserIdList(@Param("userIdList") List<Integer> userIdList);

    boolean deleteByRoleIdList(@Param("roleIdList") List<Integer> roleIdList);
}
