package com.flyer.foster.service;

import com.flyer.foster.entity.UserRole;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户角色表 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
public interface IUserRoleService extends IService<UserRole> {
    /**
     * 物理删除
     * @param userIdList
     * @return
     */
    boolean deleteByUserIdList(List<Integer> userIdList);

    /**
     * 物理删除
     * @param roleIdList
     * @return
     */
    boolean deleteByRoleIdList(List<Integer> roleIdList);
}
